Subject: Re: [urn] draft-atarius-dispatch-meid-urn-17

From: R Atarius <[email-masked]>
Date: Wed, 2 May 2018 16:28:47 +0000 (UTC)

Hi For some reason I cannot find this mail in my inbox. Please see inline!
ThanksRoozbeh
Thanks, Roozbeh.

My apologies for not commenting on earlier versions of this document.
Herewith some comments.1. The title talks about MEID but this is really a registration for
3GPP2 as an organization, isn't it? That's a bit confusing.[Roozbeh] The document is proposing how to put the URN together and also register the URN. So I think the title should be alright.

2. The document uses the template from RFC 3406, not the updated
template from RFC 8141. Would you mind modernizing Section 3?[Roozbeh]  I have no idea how the modernized section 3 would look like. Please advise!

3. HEX is defined as uppercase only. If lexical equivalence to lowercase
a-f is desired, let's specify that in the registration.[Roozbeh] S.R0048-A defines MEID as capital HEX.

4. This registration seems to fall under the fast-track registration
policy (Section 6.3 of RFC 8141) and thus could point to [S.R0048-A] for
many details (e.g., much of Section 4.2 in this Internet-Draft).[Roozbeh] This draft is not only for registration of MEID, but also its URN which is defined by the draft.

Making these changes should not be too onerous, and might make the
document shorter and simpler.

Peter

      From: Peter Saint-Andre <[email-masked]>
 To: R Atarius <[email-masked]>; "[email-masked]" <[email-masked]> 
 Sent: Wednesday, May 2, 2018 9:03 AM
 Subject: Re: [urn] draft-atarius-dispatch-meid-urn-17
  
On 5/2/18 8:54 AM, R Atarius wrote:
> 
> Hi Peter,
> 
> Dale gave comments on March 27th which I resolved. He had a comment
> about check digit which I am clarifying with him in a separate mail.
> unfortunately, I have not seen your comments. Could you please resend
> your comments?

Here is a pointer to the archived message:

https://www.ietf.org/mail-archive/web/urn/current/msg03859.html

Thanks!

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 2 May 2018 12:27:17 -0600

On 5/2/18 10:28 AM, R Atarius wrote:
> Hi 
> 
> For some reason I cannot find this mail in my inbox. Please see inline!
> 
> 
> Thanks
> 
> Roozbeh
> 
> 
> Thanks, Roozbeh.
> 
> Herewith some comments.
> 1. The title talks about MEID but this is really a registration for
> 3GPP2 as an organization, isn't it? That's a bit confusing.
> 
> [Roozbeh] The document is proposing how to put the URN together and also register the URN. So I think the title should be alright.

It's not something that bothers me too much, but I still think it's
confusing - you're not just registering MEID but 3GPP2 and anything
"under" 3GPP2.

> template from RFC 8141. Would you mind modernizing Section 3?
> 
> [Roozbeh]  I have no idea how the modernized section 3 would look like. Please advise!

RFC 8141 describes the new template. Here are some good examples of
registrations that use the new template:

https://www.iana.org/assignments/urn-formal/isbn

https://www.iana.org/assignments/urn-formal/issn

https://www.iana.org/assignments/urn-formal/mrn

> a-f is desired, let's specify that in the registration.
> 
> [Roozbeh] S.R0048-A defines MEID as capital HEX.

OK.

> many details (e.g., much of Section 4.2 in this Internet-Draft).
> 
> [Roozbeh] This draft is not only for registration of MEID, but also its URN which is defined by the draft.

Yes, I meant registration of the MEID URN namespace (actually the 3GPP2
URN namespace).

Peter

> ------------------------------------------------------------------------
> *From:* Peter Saint-Andre <[email-masked]>
> *To:* R Atarius <[email-masked]>; "[email-masked]" <[email-masked]>
> *Sent:* Wednesday, May 2, 2018 9:03 AM
> *Subject:* Re: [urn] draft-atarius-dispatch-meid-urn-17
>

---

From: R Atarius <[email-masked]>
Date: Wed, 2 May 2018 20:44:44 +0000 (UTC)

I am not sure if we need to change of format at this stage. I think it is too much work which does not add any technical value. So I would like to keep it as it is.Regarding the title, if you do not mind much then I would like to keep it as it is.Your last comment seems to me more of suggestion. 
ThanksRoozbeh

      From: Peter Saint-Andre <[email-masked]>
 To: R Atarius <[email-masked]>; "[email-masked]" <[email-masked]>; Ben Campbell <[email-masked]>; Lars Svensson <[email-masked]>; Dale R. Worley <[email-masked]>; Georg Mayer <[email-masked]>; John-Luc Bakker <[email-masked]> 
 Sent: Wednesday, May 2, 2018 11:27 AM
 Subject: Re: [urn] draft-atarius-dispatch-meid-urn-17

OK.

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 2 May 2018 15:00:18 -0600

On 5/2/18 2:44 PM, R Atarius wrote:
> I am not sure if we need to change of format at this stage. I think it
> is too much work which does not add any technical value. So I would like
> to keep it as it is.

I'd be sad if we publish a specification that uses a template and
process from an obsolete RFC (for example, RFC 8141 introduced syntax
for r-, q-, and f-components, and a new namespace registration should
say if those are used). More pointedly, following an obsolete process
might open us to appeals. I'll defer to Ben as the responsible AD.

Peter

---

From: R Atarius <[email-masked]>
Date: Wed, 2 May 2018 21:03:17 +0000 (UTC)

I understand however this draft started long before RFC 8141, so I think there should be a transition period for the template.
ThanksRoozbeh

      From: Peter Saint-Andre <[email-masked]>
 To: R Atarius <[email-masked]>; "[email-masked]" <[email-masked]>; Ben Campbell <[email-masked]>; Lars Svensson <[email-masked]>; Dale R. Worley <[email-masked]>; Georg Mayer <[email-masked]>; John-Luc Bakker <[email-masked]> 
 Sent: Wednesday, May 2, 2018 2:00 PM
 Subject: Re: [urn] draft-atarius-dispatch-meid-urn-17

Peter

---

From: Ben Campbell <[email-masked]>
Date: Wed, 2 May 2018 16:05:04 -0500

> On May 2, 2018, at 4:00 PM, Peter Saint-Andre <[email-masked]> wrote:
> 

Hi,

While I agree with Peter in principle, I also recognize that most of the work on this draft was done well before the publication of RFC 8141, and completion has been delayed due to factors beyond Roozbeh’s control. I will confer with Alexey, who is more involved with URN registration than I am and get back with people shortly.

Thanks!

Ben.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 2 May 2018 15:07:50 -0600

> While I agree with Peter in principle, I also recognize that most of the work on this draft was done well before the publication of RFC 8141, and completion has been delayed due to factors beyond R…

I'd be happy to help update the spec so Roozbeh doesn't have to do all
the (mostly editorial) work.

Peter